summaryrefslogtreecommitdiff
path: root/tests/od/x8
diff options
context:
space:
mode:
Diffstat (limited to 'tests/od/x8')
-rwxr-xr-xtests/od/x84
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/od/x8 b/tests/od/x8
index 6b971994a..c92fcab71 100755
--- a/tests/od/x8
+++ b/tests/od/x8
@@ -2,7 +2,7 @@
# verify that od -t x8 works properly
# This would fail before coreutils-4.5.2.
-# Copyright (C) 2002, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2002, 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -31,7 +31,7 @@ od -t x8 /dev/null >/dev/null || {
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0